#pragma once
#include "targetver.h"

#include "comblock_USB.h"

// Include Windows headers
#include <windows.h>
#include <stdio.h>
#include <tchar.h>
#include <strsafe.h>

// Include WinUSB headers
#include <winusb.h>
#include <winusbio.h>
#include <Usb100.h>
#include <Setupapi.h>

#define MAX_MESSAGE_LENGTH 273

// function prototypes
extern BOOL GetDeviceHandle (GUID , int, PHANDLE );
extern int nActiveDevices(GUID);
extern unsigned char GSR(int, int);
extern int is_answer_complete(char * , int);
extern int comblock_init(void);
extern int com5003_init(void);
extern int com8002_upload_init(void);
extern int com8002_start_upload(void);
extern int com8002_stop_upload(void);
extern int com8002_download_init(void);
extern int com8002_start_download(void);
extern int com8002_stop_download(void);
extern unsigned long com8002_get_wptr(void);

// Constant for ComBlock USB device interface
// (same number as in the driver .inf file, rev3.0.0.1)
static const GUID COMBLOCK_USB_DEVICE_INTERFACE3 = { 0x4416e0fd, 0x9efc, 0x4b5b, { 0x8d, 0xe8, 0x31, 0x79, 0x8a, 0x45, 0x81, 0x39 } };
// (same number as in the driver .inf file, rev2.0.0.1)
static const GUID COMBLOCK_USB_DEVICE_INTERFACE2 = { 0x4D36E97E, 0xE325, 0x11CE, { 0xBF, 0xC1, 0x08, 0x00, 0x2B, 0xE1, 0x03, 0x18 } };